# Class AnimationProvider

- Defined in src/animations/animation.js:19

##### Index

### Constructors

constructor

### Properties

$get
drivers

## Constructors

### constructor

- new AnimationProvider(): AnimationProvider

  #### Returns AnimationProvider

  - Defined in src/animations/animation.js:19

## Properties

### $get

$get: (
| string
| (
(
$rootScope: any,
$injector: InjectorService,
$$AnimateRunner: any,
$$rAFScheduler: RafScheduler,
$$animateCache: any,
) => (element: any, event: any, options: any) => any
)
)[]

#### Type declaration

- string
- (
  $rootScope: any,
  $injector: InjectorService,
  $$AnimateRunner: any,
  $$rAFScheduler: RafScheduler,
  $$animateCache: any,
  ) => (element: any, event: any, options: any) => any
  - - (
      $rootScope: any,
      $injector: InjectorService,
      $$AnimateRunner: any,
      $$rAFScheduler: RafScheduler,
      $$animateCache: any,
      ): (element: any, event: any, options: any) => any

    - #### Parameters

      - $rootScope: any
      - $injector: InjectorService
      - $$AnimateRunner: any
      - $$rAFScheduler: RafScheduler
      - $$animateCache: any

      #### Returns (element: any, event: any, options: any) => any

- Defined in src/animations/animation.js:36

### drivers

drivers: any[]

- Defined in src/animations/animation.js:22